Skip to content
Nodepool Template

Nodepool Template

Nodepool templates are Exoscale-managed instance templates for SKS worker nodes.

Read more


Other Operations

get-active-nodepool-template

GET /sks-template/{kube-version}/{variant}

Get the active template for a given kube version and variant (standard | nvidia)

Path parameters

NameInDescription
kube-versionpath
variantpath

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
active-templatestringMust be a valid UUID.
Example output
{
  "active-template": "a1b2c3d4-e5f6-4a5b-8c9d-0123456789ab"
}

SDK reference for get-active-nodepool-template: golang | Python | Java

CLI: exo api get-active-nodepool-template

list-sks-nodepool-templates

GET /sks-template/{kube-version}

List the available templates for a given kube version (major.minor or major.minor.patch), of the given variant (standard | nvidia) when provided, latest first

Path parameters

NameInDescription
kube-versionpath

Query parameters

NameInRequiredDescription
variantqueryno

Responses

Status: 200 - 200

Content-Type: application/json

PropertyTypeDescription
sks-nodepool-templatesarray of SKS Nodepool template
Example output
{
  "sks-nodepool-templates": [
    {
      "created-at": "2026-01-01T00:00:00Z",
      "id": "a1b2c3d4-e5f6-4a5b-8c9d-0123456789ab",
      "name": "string",
      "variant": "string"
    }
  ]
}

SDK reference for list-sks-nodepool-templates: golang | Python | Java

CLI: exo api list-sks-nodepool-templates

Last updated on